#include "graphics.hpp"

#include "scene/scene.hpp"
#include "scene/tracker/scene.hpp"
#include "scene/logo/scene.hpp"

static const scene::scene scenes[] = {
  scene::tracker::scene,
  scene::logo::scene,
};

namespace scene {
  const scene * current_scene = &scenes[0];

  void scene_init()
  {
    graphics_scene_init(&current_scene->opb_size);
    printf("scene init\n");

    if (current_scene->init != nullptr) {
      printf("current_scene init\n");
      current_scene->init();
    }
  }
}
